/* Interface of the CTL_Editor_BaseFormView class*/
/*///////////////////////////////////////////////////////////////////////////*/
#ifndef _CTL_BASE_VIEW_
#define _CTL_BASE_VIEW_
 
#if _MSC_VER >= 1000
#pragma once
#endif /* _MSC_VER >= 1000*/
 
#include "ACP_Base.h"
 
/*###########################################################################*/
 
class CPA_EXPORT CTL_Editor_BaseFormView : public CFormView
{
public:
	CTL_Editor_BaseFormView(UINT Id,
													BOOL bMustDisplayClosedHand = FALSE);
 	CTL_Editor_BaseFormView();
 
	virtual ~CTL_Editor_BaseFormView();
 
protected: /* create from serialization only*/
	DECLARE_DYNCREATE(CTL_Editor_BaseFormView)
 
/* Attributes*/
public:
	void m_fn_vSetViewHeight(unsigned short uwViewHeight);
 
protected:
	unsigned short m_uwViewHeight;
 
private:
	BOOL m_bMustDisplayClosedHand;
	BOOL m_bScrollIsPossible;
	BOOL m_bUserWantsToScroll;
	unsigned short m_uwWindowHeight;
	unsigned short m_uwWindowWidth;
 
	/*Screen's Height*/
	unsigned short m_uwOldPosition;
 
	/**/
	DWORD m_lInitialClassLong;
 
/* Operations*/
public:
 
/* Overrides*/
	/* ClassWizard generated virtual function overrides*/
	/*{{AFX_VIRTUAL(CTL_Editor_BaseFormView)*/
	public:
	virtual void OnInitialUpdate();
	/*}}AFX_VIRTUAL*/
 
 
/* Implementation*/
public:
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
 
protected:
 
private:
 
/* Generated message map functions*/
protected:
	/*{{AFX_MSG(CTL_Editor_BaseFormView)*/
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	/*}}AFX_MSG*/
	DECLARE_MESSAGE_MAP()
};
 
/*///////////////////////////////////////////////////////////////////////////*/
#endif /*_CTL_BASE_VIEW_*/
 
